Reply

Important and Urgent, please help!

[ Edited ]

 

How do I get the dimensions of a Part Synchro?

 

All the examples only work of the Forum for Traditional Part ...

 

Even the documentation for SolidEdge, speech that has some methods and functions which do not have ....

 

Posted by: Fabio Rosa
Post date: 4/7/2009 11:00:21 AM

2 REPLIES

RE: Important and Urgent, please help!

[ Edited ]

 

Fabio,

 

Using Solid Edge Spy, I found dimensions in:

 

Application -> ActiveDocument -> PMI -> Dimensions -> Items(x)

I should also note that the Synchronous API is not fully implemented so you're going to run into issues where things don't work right.

 

Posted by: Jason Newell
Post date: 4/17/2009 6:54:08 PM

RE: Important and Urgent, please help!

[ Edited ]

i can edit PMI,but if i want to add a new callout,how can i do?

 

edit pmi code is like this:

 

dim objDoc As SolidEdgeFramework.SolidEdgeDocument

dim objPMI As SolidEdgeFrameworkSupport.PMI

dim objbals As SolidEdgeFrameworkSupport.Balloons

dim objbal As SolidEdgeFrameworkSupport.Balloon

objPMI = objDoc.pmi

objbals = objPMI.Balloons

objbal = objbals.Items(1)

objbal.BalloonText = "aaaaa"

 

add a new callout :

somthing like this is wrong,what is the right way?

 

objbal = objbals.Add(0, 0, 0)

objbal.BalloonText = "test"

 

Posted by: Ben chen
Post date: 5/24/2011 3:26:58 PM